clang-tools 8.0.0

Namespaces | Functions
ExceptionEscapeCheck.cpp File Reference
`#include "ExceptionEscapeCheck.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
`#include "llvm/ADT/SmallSet.h"`
`#include "llvm/ADT/StringSet.h"`
Include dependency graph for ExceptionEscapeCheck.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::ast_matchers
| clang::tidy
| clang::tidy::bugprone

## Functions
static bool | clang::isBaseOf (const Type *DerivedType, const Type *BaseType)
static const TypeVec | clang::throwsException (const Stmt *St, const TypeVec &Caught, llvm::SmallSet< const FunctionDecl *, 32 > &CallStack)
static const TypeVec | clang::throwsException (const FunctionDecl *Func, llvm::SmallSet< const FunctionDecl *, 32 > &CallStack)
static const TypeVec | clang::throwsException (const FunctionDecl *Func)
| clang::ast_matchers::AST_MATCHER_P (FunctionDecl, throws, internal::Matcher< Type >, InnerMatcher)
| clang::ast_matchers::AST_MATCHER_P (Type, isIgnored, llvm::StringSet<>, IgnoredExceptions)
| clang::ast_matchers::AST_MATCHER_P (FunctionDecl, isEnabled, llvm::StringSet<>, FunctionsThatShouldNotThrow)